View Issue Details

IDProjectCategoryView StatusLast Update
0006956Talerexchange Postgres DB backendpublic2021-09-02 18:14
ReporterChristian Grothoff Assigned ToChristian Grothoff  
PrioritynormalSeverityfeatureReproducibilityN/A
Status resolvedResolutionfixed 
Platformi7OSDebian GNU/LinuxOS Versionsqueeze
Product Versiongit (master) 
Target Version0.8.5Fixed in Version0.8.5 
Summary0006956: trigger long pollers via Postgres DB API to properly support multiple frontends
DescriptionWe should use

https://www.postgresql.org/docs/current/libpq-notify.html

and

https://www.postgresql.org/docs/9.4/sql-notify.html

to trigger long pollers. This will also finally enable long-polling for the reserve status changes caused out-of-process by taler-exchange-wirewatch. This bug ALSO then applies to the merchant backend (and even Anastasis!).
TagsNo tags attached.

Activities

Christian Grothoff

2021-07-24 22:09

manager   ~0018015

A first draft API (incomplete implementation: scheduler missing) and without tests has landed in libgnunetpq!

Christian Grothoff

2021-07-24 22:18

manager   ~0018016

Note: documentation stresses: first install listener, THEN once transactionally query database state you care about, and only AFTER that you will get good notifications.

Christian Grothoff

2021-07-25 19:55

manager   ~0018018

API completed in GNUnet and tested. Needs to be integrated with exchange and merchant.

Christian Grothoff

2021-08-23 23:39

manager   ~0018123

exchange long pollers for reserves, keys and wire are in place as of efbe0441..888895cb. That should be all in the exchange.

Christian Grothoff

2021-08-25 17:27

manager   ~0018133

Implementation complete as of 5672080..696278c

Christian Grothoff

2021-09-02 18:14

manager   ~0018217

Fix committed to master branch.

Related Changesets

exchange: master 888895cb

2021-08-23 23:35:24

Christian Grothoff

Details Diff
fix 0006956 in exchange Affected Issues
0006956
mod - contrib/gana Diff File
mod - src/exchange/taler-exchange-httpd.c Diff File
mod - src/exchange/taler-exchange-httpd_keys.c Diff File
mod - src/exchange/taler-exchange-httpd_keys.h Diff File
mod - src/exchange/taler-exchange-httpd_wire.c Diff File
mod - src/exchange/taler-exchange-httpd_wire.h Diff File

Issue History

Date Modified Username Field Change
2021-07-23 19:23 Christian Grothoff New Issue
2021-07-23 19:23 Christian Grothoff Status new => confirmed
2021-07-23 21:40 Christian Grothoff Assigned To => Christian Grothoff
2021-07-23 21:40 Christian Grothoff Status confirmed => assigned
2021-07-24 22:09 Christian Grothoff Note Added: 0018015
2021-07-24 22:18 Christian Grothoff Note Added: 0018016
2021-07-25 19:55 Christian Grothoff Note Added: 0018018
2021-07-30 14:31 Christian Grothoff Target Version => 0.9
2021-08-23 23:39 Christian Grothoff Note Added: 0018123
2021-08-24 18:29 Christian Grothoff Target Version 0.9 => 0.8.5
2021-08-25 17:27 Christian Grothoff Note Added: 0018133
2021-08-25 17:27 Christian Grothoff Status assigned => resolved
2021-08-25 17:27 Christian Grothoff Resolution open => fixed
2021-08-25 17:27 Christian Grothoff Fixed in Version => 0.8.5
2021-09-02 18:13 Christian Grothoff Changeset attached => Taler-exchange master 888895cb
2021-09-02 18:14 Christian Grothoff Note Added: 0018217